namespace NetinaShop.AdminPanel.PWA.Services.RestServices;

public interface IOrderRestApi
{
    [Get("")]
    Task<List<OrderSDto>> ReadAll([Query]int page, [Query] long? selectedDate, [Query] OrderStatus? orderStatus, [Query] OrderQueryDateFilter? dateFilter, [Header("Authorization")] string authorization);

    [Get("/{id}")]
    Task<OrderLDto> ReadOne(Guid id, [Header("Authorization")] string authorization);
}